initialtime =1;
halfwaythrough= 3;
endofimagtime = 5;

plot(x_1*1e6,density_1(initialtime,:)*1e-6,'k-')
hold on
plot(x_1*1e6,density_1(halfwaythrough,:)*1e-6,'b-')
plot(x_1*1e6,density_1(endofimagtime,:)*1e-6,'r--')
hold off
  axis tight
  xlabel(['x[{\mu}m]'])
  ylabel(['|\phi|^2 [1/{\mu}m]'])
legend(['initial guess'],['half evol'],['output of imaginary time'])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

