tstride=1;

Npts = length(x_1);
afterimagtime = 6; 
middle_of_grid = (3*Npts/8):(5*Npts/8);

counter = 1;
clear solpos;
clear realtimeaxis;
for tt=(afterimagtime+1):length(t_1),
  [minval solpositionindex] = min(density_1(tt,middle_of_grid));
  solpos(counter) = x_1(solpositionindex -1 + middle_of_grid(1));
  realtimeaxis(counter) = t_1(tt) - t_1(afterimagtime+1);
  counter = counter+1;
end

amplit=1e-6;
omega = ?????;
phase = -pi/2;

solpos_analytical = amplit*cos(omega*realtimeaxis + phase);
  
plot(realtimeaxis*1e6,solpos*1e6,'k-')
hold on
plot(realtimeaxis*1e6,solpos_analytical*1e6,'r--')
hold off
axis tight
ylabel(['x_0[{\mu}m]'])
xlabel(['t [{\mu}s]'])
  %title(['density at real time = ',num2str(t_1(tt) - t_1(afterimagtime))])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
