tstride=1;

afterimagtime = 6;

for tt=1:tstride:(afterimagtime-1),
  plot(x_1*1e6,density_1(tt,:)*1e-6,'k-')
  axis tight
  xlabel(['x[{\mu}m]'])
  ylabel(['|\phi|^2 [1/{\mu}m]'])
  title(['density at imaginary time = ',num2str(t_1(tt))])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

dump = input(['press ENTER to advance slideshow'])

end

for tt=afterimagtime:tstride:length(t_1),
  plot(x_1*1e6,density_1(tt,:)*1e-6,'k-')
  axis tight
  xlabel(['x[{\mu}m]'])
  ylabel(['|\phi|^2 [1/{\mu}m]'])
  title(['density at real time = ',num2str(t_1(tt) - t_1(afterimagtime))])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

dump = input(['press ENTER to advance slideshow'])

end